com.explodingpixels.macwidgets

## Class MacFontUtils

- java.lang.Object
- - com.explodingpixels.macwidgets.MacFontUtils

-     public class MacFontUtils
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Font` | `BOLD_LABEL_FONT`
    `static Font` | `DEFAULT_BUTTON_FONT`
    `static Font` | `DEFAULT_FONT`
    `static float` | `DEFAULT_FONT_SIZE`
    `static Font` | `DEFAULT_LABEL_FONT`
    `static Font` | `HUD_BUTTON_FONT`
    `static float` | `HUD_FONT_SIZE`
    `static Font` | `ITUNES_FONT`
    `static Font` | `ITUNES_TABLE_HEADER_FONT`
    `static Font` | `TOOLBAR_LABEL_FONT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacFontUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `enableAntialiasing(Graphics2D g2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FONT_SIZE

          public static final float DEFAULT_FONT_SIZE

      See Also:
        Constant Field Values

    - #### HUD_FONT_SIZE

          public static final float HUD_FONT_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_FONT

          public static final Font DEFAULT_FONT

    - #### ITUNES_FONT

          public static final Font ITUNES_FONT

    - #### ITUNES_TABLE_HEADER_FONT

          public static final Font ITUNES_TABLE_HEADER_FONT

    - #### TOOLBAR_LABEL_FONT

          public static final Font TOOLBAR_LABEL_FONT

    - #### DEFAULT_BUTTON_FONT

          public static final Font DEFAULT_BUTTON_FONT

    - #### HUD_BUTTON_FONT

          public static final Font HUD_BUTTON_FONT

    - #### DEFAULT_LABEL_FONT

          public static final Font DEFAULT_LABEL_FONT

    - #### BOLD_LABEL_FONT

          public static final Font BOLD_LABEL_FONT

  - ### Constructor Detail

    - #### MacFontUtils

          public MacFontUtils()

  - ### Method Detail

    - #### enableAntialiasing

          public static void enableAntialiasing(Graphics2D g2)